> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit the given item category.



## OpenAPI

````yaml api-reference/openapi.json put /api/item-categories/{id}
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/item-categories/{id}:
    put:
      tags:
        - Item Categories
      summary: Edit the given item category.
      operationId: ItemCategoryController_editItemCategory
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EditItemCategoryDto'
      responses:
        '200':
          description: ''
components:
  schemas:
    EditItemCategoryDto:
      type: object
      properties:
        name:
          type: string
          example: Category name
          description: The category name
        description:
          type: string
          example: Category description
          description: The category description
        costAccountId:
          type: number
          example: 1
          description: The cost account ID
        sellAccountId:
          type: number
          example: 1
          description: The sell account ID
        inventoryAccountId:
          type: number
          example: 1
          description: The inventory account ID
        costMethod:
          type: string
          example: FIFO
          description: The cost method
      required:
        - name
        - description
        - costAccountId
        - sellAccountId
        - inventoryAccountId
        - costMethod

````